Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.heckmansoft.surjey.model.vo
Class Question

    java.lang.Object
      com.heckmansoft.surjey.model.vo.ValueObject
          com.heckmansoft.surjey.model.vo.Question

All Implemented Interfaces:
  java.lang.Comparable, java.io.Serializable

Direct Known Subclasses:
  LazyQuestion

public class Question
extends ValueObject

A question. Contains a question type.

See Also:
  Serialized Form

Constructor Summary
`Question()`

Method Summary
`int` | `compareTo(java.lang.Object other)`
`boolean` | `equals(java.lang.Object other)`
`java.lang.String` | `getAnswerLabels()`
`java.lang.String` | `getDisplaySize()`
`java.lang.String` | `getLabel()`
`java.lang.String` | `getPosition()`
`QuestionType` | `getQuestionType()`
`java.lang.String` | `getQuestionTypeId()`
`java.lang.String` | `getSectionId()`
`boolean` | `questionTypeIsNull()`
`void` | `setAnswerLabels(java.lang.String answers)`
`void` | `setDisplaySize(java.lang.String string)`
`void` | `setLabel(java.lang.String string)`
`void` | `setPosition(java.lang.String string)`
`void` | `setQuestionType(QuestionType type)`
`void` | `setQuestionTypeId(java.lang.String string)`
`void` | `setSectionId(java.lang.String string)`
`java.lang.String` | `toString()`

Methods inherited from class com.heckmansoft.surjey.model.vo.ValueObject
`getId, getName, hashCode, setId, setName`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### Question

    public Question()

Method Detail

### getPosition

    public java.lang.String getPosition()

### getLabel

    public java.lang.String getLabel()

### getDisplaySize

    public java.lang.String getDisplaySize()

### getAnswerLabels

    public java.lang.String getAnswerLabels()

### getQuestionType

    public QuestionType getQuestionType()

### getSectionId

    public java.lang.String getSectionId()

### getQuestionTypeId

    public java.lang.String getQuestionTypeId()

### setLabel

    public void setLabel(java.lang.String string)

### setPosition

    public void setPosition(java.lang.String string)

### setDisplaySize

    public void setDisplaySize(java.lang.String string)

### setAnswerLabels

    public void setAnswerLabels(java.lang.String answers)

### setSectionId

    public void setSectionId(java.lang.String string)

### setQuestionTypeId

    public void setQuestionTypeId(java.lang.String string)

### setQuestionType

    public void setQuestionType(QuestionType type)

### questionTypeIsNull

    public boolean questionTypeIsNull()

### equals

    public boolean equals(java.lang.Object other)

  Overrides:
    `equals` in class `ValueObject`

### compareTo

    public int compareTo(java.lang.Object other)

  Specified by:
    `compareTo` in interface `java.lang.Comparable`
  Overrides:
    `compareTo` in class `ValueObject`

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `ValueObject`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD